# Update a job

{% hint style="info" %}
&#x20;This endpoint requires `jobs_rw` scope.
{% endhint %}

## update job

<mark style="color:orange;">`PUT`</mark> `https://www.welcomekit.co/api/v1/external/jobs/:reference`

#### Path Parameters

| Name                                        | Type   | Description   |
| ------------------------------------------- | ------ | ------------- |
| reference<mark style="color:red;">\*</mark> | string | Job reference |

#### Query Parameters

| Name                               | Type    | Description                                                                                                                                                                                                                                                                                                                         |
| ---------------------------------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| profession\_reference (deprecated) | string  | Reference for a given profession (This information is not used on our side anymore.)                                                                                                                                                                                                                                                |
| name                               | string  | Job name                                                                                                                                                                                                                                                                                                                            |
| company\_description               | string  | Company description (Describe the company)                                                                                                                                                                                                                                                                                          |
| description                        | string  | Job description (Explain the job, not the company)                                                                                                                                                                                                                                                                                  |
| profile                            | string  | Job profile (Explain who you’re looking for)                                                                                                                                                                                                                                                                                        |
| recruitment\_process               | string  | Job Recruitment Process (Delay / Interviews / Tests / etc.)                                                                                                                                                                                                                                                                         |
| contract\_type                     | string  | Contract type for this job                                                                                                                                                                                                                                                                                                          |
| language                           | string  | Language for this job                                                                                                                                                                                                                                                                                                               |
| salary\_min                        | integer | Minimum salary for a given `salary_period`                                                                                                                                                                                                                                                                                          |
| salary\_max                        | integer | Maximum salary for a given `salary_period`                                                                                                                                                                                                                                                                                          |
| salary\_currency                   | string  | Currency for the given salary                                                                                                                                                                                                                                                                                                       |
| salary\_period                     | string  | Period for the given salary                                                                                                                                                                                                                                                                                                         |
| is\_remote                         | boolean | \[DEPRECATED] Is remote work authorized for this job?                                                                                                                                                                                                                                                                               |
| remote                             | string  | Is remote work authorized for this job?                                                                                                                                                                                                                                                                                             |
| contract\_duration\_min            | integer | Minimum duration of the contract in months.                                                                                                                                                                                                                                                                                         |
| contract\_duration\_max            | integer | Maximum duration of the contract in months.                                                                                                                                                                                                                                                                                         |
| department\_id                     | integer | Department ID. Mainly used by companies which have a careers website managed through WelcomeKit.co                                                                                                                                                                                                                                  |
| office\_id                         | integer | Office ID. An office is like a “location”. If the office wasn’t created for the targeted company, you will need to contact <support@welcomekit.co> first. Also, if you don’t have an `office_id` you can call the API with `office_zip_code` or `office_country_code` which may be enough for us to retrieve the associated office. |
| office\_zip\_code                  | string  | Office zip code (office will be found or created from this). See: comment related to `office_id`                                                                                                                                                                                                                                    |
| office\_city                       | string  | Office zip code (office will be found or created from this). See: comment related to `office_id`                                                                                                                                                                                                                                    |
| office\_country\_code              | string  | Office country code (office will be found or created from this). See: comment related to `office_id`                                                                                                                                                                                                                                |
| education\_level                   | string  | Minimum education level ID                                                                                                                                                                                                                                                                                                          |
| experience\_level                  | string  | Minimum experience level ID                                                                                                                                                                                                                                                                                                         |
| apply\_url                         | string  | Job application URL. Do not input anything if you want to use WelcomeKit as your ATS                                                                                                                                                                                                                                                |
| start\_date                        | string  | Start date for this job (YYYY-MM-DD)                                                                                                                                                                                                                                                                                                |
| external\_reference                | string  | External provider Reference / ID for this job. (unique constraint)                                                                                                                                                                                                                                                                  |
| cms\_sites\_references             | string  | Comma separated list of cms sites references to publish this job                                                                                                                                                                                                                                                                    |

{% tabs %}
{% tab title="200 Success" %}

```
{
  "name" : "Fake Job",
  "external_reference" : "PROVIDER_REFERENCE1",
  "organization_reference" : "Pg4eV6k",
  "status" : "draft",
  "profile" : "Fake Job Profile",
  "apply_url" : "http://company.com/jobs/superjob/apply/",
  "company_description" : "Fake Company Description.",
  "contract_duration_min" : null,
  "experience_level" : "1_TO_2_YEARS",
  "department_id" : null,
  "profession_reference" : "sales",
  "cms_sites_references" : "wttj_fr,smgo_fr",
  "contract_duration_max" : null,
  "start_date" : "2016-09-01T00:00:00.000+02:00",
  "description" : "Fake Job Description.",
  "contract_type" : "FULL_TIME",
  "language": "en",
  "salary": {
    "min": "30000",
    "max": "40000",
    "currency": "EUR",
    "period": "yearly"
  },
  "remote" : "punctual",
  "office_id" : 196,
  "reference" : "WTTJ_gld0A7L",
  "education_level" : "BAC_5",
  "created_at" : "2017-11-13T17:15:26.146+01:00",
  "updated_at" : "2017-11-13T17:15:26.146+01:00",
  "published_at" : null,
  "archived_at" : null
}
```

{% endtab %}
{% endtabs %}

Request example

```
curl -X PUT "https://www.welcomekit.co/api/v1/external/jobs/WTTJ_ZyDmzZ6" \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer WK_API_KEY" \
    -d @- <<EOF
{
  "name": "Fake Job",
  "company_description": "Fake Company Description.",
  "description": "Fake Job Description.",
  "profile": "Fake Job Profile",
  "contract_type": "FULL_TIME",
  "language": "en",
  "salary_min": "30000",
  "salary_max": "40000",
  "salary_currency": "EUR",
  "salary_period": "yearly",
  "remote": "punctual",
  "offices": [
    {"id": "1234"},
    {"city": "Paris", "country_code": "fr"}
  ],
  "education_level": "BAC_5",
  "experience_level": "1_TO_2_YEARS",
  "apply_url": "http://company.com/jobs/superjob/apply/",
  "start_date": "2016-09-01",
  "external_reference": "PROVIDER_REFERENCE",
  "cms_sites_references": "wttj_fr,smgo_fr"
}
EOF
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.welcomekit.co/jobs-api/jobs/update-a-job.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
